Multi-Role Feature

Get available roles for signup

Get all available roles for user signup in a project. Accepts: OrgBearerAuth (for admin users), ProjectBearerAuth (JWT for authenticated users), or ApiKeyAuth (X-API-Key for programmatic access). Both ProjectBearerAuth and ApiKeyAuth are fully implemented.

AuthBearer (JWT)
GroupMulti-Role Feature
Rate limitSee Rate Limits
GET/api/projects/{projectId}/multi-role/roles/available

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, MultiRoleFeatureApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const multirolefeature = new MultiRoleFeatureApi(configuration);
import { Configuration, MultiRoleFeatureApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const multirolefeature = new MultiRoleFeatureApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await multirolefeature.getAvailableRoles("proj_Qh7mWIGW8Nc6");
const { data: result } = await multirolefeature.getAvailableRoles("proj_Qh7mWIGW8Nc6");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Responses

200List of available roles
json
{
  "success": true,
  "data": [
    {
      "slug": "customer",
      "name": "Customer",
      "description": "Default app user role. Edit name/slug and assign create/read/update/delete per collection after you add schemas.",
      "signupEndpoint": "customer",
      "requiresApproval": false,
      "requiresPayment": false,
      "requiresKYC": false
    }
  ]
}
{
  "success": true,
  "data": [
    {
      "slug": "customer",
      "name": "Customer",
      "description": "Default app user role. Edit name/slug and assign create/read/update/delete per collection after you add schemas.",
      "signupEndpoint": "customer",
      "requiresApproval": false,
      "requiresPayment": false,
      "requiresKYC": false
    }
  ]
}
Edit this page on GitHub